#!/bin/sh
# サーバの種類チェック (AUTH, GSB, ISB)
# ---------------------------------------------- #


##### Main routine ###############################

# Function読み込み
. ${INST_HOME}/function.sh

# 初期処理
initialize

# 判別値の初期化
FLAG=0
PRO_FILE=""

# 開始出力
#CLEAR
#msg_info  "${SECUREMATRIX} サーバの種類をチェックします。" \
#          " "
EXPECT_SVR=${1}

#----- サーバの種類チェック -------------------------#
if [ "${EXPECT_SVR}" = "AUTH" ] ; then
  if [ ! -e ${ADMIN_PROPERTIES_FILE} ] ; then
    FLAG=1
    PRO_FILE=${ADMIN_PROPERTIES_FILE}
  fi
elif [ "${EXPECT_SVR}" = "GSB" ] ; then
  if [ ! -e ${GSB_PROPERTIES_FILE} ] ; then
    FLAG=1
    PRO_FILE=${GSB_PROPERTIES_FILE}
  fi
elif [ "${EXPECT_SVR}" = "ISB" ] ; then
  if [ ! -e ${ISB_PROPERTIES_FILE} ] ; then
    FLAG=1
    PRO_FILE=${ISB_PROPERTIES_FILE}
  fi
else
  FLAG=1
fi

# アップデートで期待しているサーバの種類ではない場合
if [ $FLAG -eq 1 ] ; then
  $echo "エラー発生！"
  $echo ""
  arize_err "dmy" "サーバの種類チェックにエラーが発生しました。"
  msg_err "ERR: サーバの種類チェックにエラーが発生しました。" \
          "" \
          "<!> 以下のファイルが存在しているか確認してください。" \
          "    [ ${PRO_FILE} ]" \
          ""
#else
#  $echo "完了"
#  $echo ""
#  msg_dialog  "サーバの種類チェックは正常に行われました。" \
#              "処理を継続します。"
#  write_log "サーバの種類チェックは正常に行われました。"
#  WAIT_ENTER
fi

write_log "サーバの種類のチェックが完了しました。"

exit $FLAG